/* USER CODE BEGIN 1 */
/*
 * HAL_layer_LED.c
 *
 *  Created on: 10. 3. 2018
 *      Author: Dušan Benda
 */

#include "HAL_layer_LED.h"

void HAL_LED0_on(void)
{
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_1,0);
}

void HAL_LED0_off(void)
{
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_1,1);
}

void HAL_LED0(uint8_t state)
{
	if ((state == 0) || (state == 1))
		HAL_GPIO_WritePin(GPIOA,GPIO_PIN_1,(state == 1) ? 0 : 1);
}

void HAL_LED1_on(void)
{
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_8,0);
}

void HAL_LED1_off(void)
{
	HAL_GPIO_WritePin(GPIOA,GPIO_PIN_8,1);
}

void HAL_LED1(uint8_t state)
{
	if ((state == 0) || (state == 1))
		HAL_GPIO_WritePin(GPIOA,GPIO_PIN_8,(state == 1) ? 0 : 1);
}

void HAL_LED2_on(void)
{
	HAL_GPIO_WritePin(GPIOC,GPIO_PIN_6,0);
}

void HAL_LED2_off(void)
{
	HAL_GPIO_WritePin(GPIOC,GPIO_PIN_6,1);
}

void HAL_LED2(uint8_t state)
{
	if ((state == 0) || (state == 1))
		HAL_GPIO_WritePin(GPIOC,GPIO_PIN_6,(state == 1) ? 0 : 1);
}

void HAL_LED3_on(void)
{
	HAL_GPIO_WritePin(GPIOC,GPIO_PIN_7,0);
}

void HAL_LED3_off(void)
{
	HAL_GPIO_WritePin(GPIOC,GPIO_PIN_7,1);
}

void HAL_LED3(uint8_t state)
{
	if ((state == 0) || (state == 1))
		HAL_GPIO_WritePin(GPIOC,GPIO_PIN_7,(state == 1) ? 0 : 1);
}

void HAL_LED4_on(void)
{
	HAL_GPIO_WritePin(GPIOB,GPIO_PIN_1,0);
}

void HAL_LED4_off(void)
{
	HAL_GPIO_WritePin(GPIOB,GPIO_PIN_1,1);
}

void HAL_LED4(uint8_t state)
{
	if ((state == 0) || (state == 1))
		HAL_GPIO_WritePin(GPIOB,GPIO_PIN_1,(state == 1) ? 0 : 1);
}

void HAL_LED_fault_on(void)
{
	HAL_GPIO_WritePin(GPIOB,GPIO_PIN_2,0);
}

void HAL_LED_fault_off(void)
{
	HAL_GPIO_WritePin(GPIOB,GPIO_PIN_2,1);
}

void HAL_LED_fault(uint8_t state)
{
	if ((state == 0) || (state == 1))
		HAL_GPIO_WritePin(GPIOB,GPIO_PIN_2,(state == 1) ? 0 : 1);
}

/* USER CODE END 1 */
